QGIS Application - Bug report #5210
QGIS freezes when editing via WFS-T
2012-03-20 11:46 AM - Magnus Nilsson

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:1.7.4 Regression?: No
Operating System: Windows Vista 64 bit Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 14947
Description

| add a WFS and go into edit mode. QGIS freezes when | edit a node in a line from a GeoServer localhost WFS and try to exit edit mode.

Related issues:
Duplicates QGIS Application - Bug report # 5241: WFS client does not work any... Closed 2012-03-26

History

#1 - 2012-03-20 11:48 AM - Giovanni Manghi

Can you please give a try to qgis-dev using osgeo4w? thanks.

#2 - 2012-03-21 12:42 PM - Magnus Nilsson

| have tried with 1.9.90-alpha (qgis-dev) and | can confirm that the same problem occurs here as well. In fact, when | force quit QGIS, | am unable to add a
WEFES in QGIS again. If | log out of Windows and log in again, | am able to add the same WFS.

#3 - 2012-03-21 12:47 PM - Giovanni Manghi

can you post a public URL that causes the issue?

#4 - 2012-03-21 12:51 PM - Magnus Nilsson

| use http://localhost:8080/geoserver/wfs from GeoServer 2.1.3, so it isn’t a public URL.

#5 - 2012-03-22 02:19 AM - Giovanni Manghi

johnrobot - wrote:

| use http://localhost:8080/geoserver/wfs from GeoServer 2.1.3, so it isn't a public URL.

do you know a public server that causes the issue and that can help the devs to track the problem?

#6 - 2012-03-22 02:57 AM - Magnus Nilsson
http://localhost:8080/geoserver/wfs
http://localhost:8080/geoserver/wfs

No, I don’t. | use a fresh installation of GeoServer 2.1.3. | tried with a few of the standard layers and got the same error. It should be fairly easy to

reproduce.

#7 - 2012-04-15 10:00 AM - Giovanni Manghi

- Target version changed from 35 to Version 1.8.0

#8 - 2012-09-04 11:53 AM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#9 - 2013-02-21 02:46 PM - Marco Hugentobler

- Status changed from Open to Closed

Should be fixed in master branch d190b2316b25b6c30e3416a61cf5542d1fd6e227
